> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iolokis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Workspaces

> This endpoint is used to get information about the workspaces that the current user is a member of.

<Note>
  A default workspace is created for each user when they sign up via the web app.
</Note>


## OpenAPI

````yaml GET /workspaces/my
openapi: 3.1.0
info:
  title: IOLOKIS API
  description: You can use the REST API to manage your IOLOKIS account and resources.
  version: 1.0.0
servers:
  - url: https://api.iolokis.com
security:
  - bearerAuth: []
paths:
  /workspaces/my:
    get:
      description: >-
        This endpoint is used to get information about the workspaces that the
        current user is a member of.
      responses:
        '200':
          description: List of workspaces.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Workspace'
        '400':
          description: Invalid input.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
        address:
          type: string
        accent_color:
          type: string
          description: A hexadecimal color code used to color the workspace's UI.
        plan:
          type: string
          description: >-
            The plan of the workspace. This is used to determine the features
            available to the workspace.
        created_by:
          type: integer
        user_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
          nullable: true
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message indicating the error
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````